%define piname	celestial_navigation_pi

Name:		opencpn-celestial-navigation-plugin
Summary:	Celestial Navigation plugin for OpenCpn
Version:	2.1
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Implements nautical almanac for sun, moon, planets, and various
navigational stars.
Enable the User to compute position fix from celestial measurements.

%prep
%setup -q -n %{piname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Sat Jun 03 2017 akien <akien> 2.1-3.mga6
+ Revision: 1106108
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 2.1-2.mga6
+ Revision: 1019828
- rebuild for wxgtk3.0 built with GTK2

* Tue May 10 2016 barjac <barjac> 2.1-1.mga6
+ Revision: 1011993
- new version 2.1

* Mon Feb 29 2016 barjac <barjac> 2.0-1.mga6
+ Revision: 980799
- new version 2.0

* Tue Feb 16 2016 barjac <barjac> 1.11-2.mga6
+ Revision: 962307
- changed buildrequire wxgtku3.0

* Tue Dec 15 2015 barjac <barjac> 1.11-1.mga6
+ Revision: 910828
- new version 1.11

* Tue Dec 08 2015 barjac <barjac> 1.10-1.mga6
+ Revision: 908764
- new package opencpn-celestial-navigation-plugin

